
QGIS Application - Bug report #8867

With "render" off, map snaps back

2013-10-16 02:58 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 17547

Description

I'm not sure if this is a feature request or bugfix.

I have a raster layer loaded. I then disable "render". The problem is, any time I use the snap tool on the map in this state, it drags the

raster layer, and as soon as I let go, it snaps back. This is mis-leading as it implies something is happening until you notice it's just

snapping back and something new isn't being rendered. Then when you re-enable rendering you're in the new location.

I don't know if it shouldn't drag at all, or if those tools shouldn't function while "rendering" is disabled, but the current setup is highly

confusing.

History

#1 - 2014-06-21 05:51 AM - Jürgen Fischer

- Category set to GUI

#2 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-03-01 12:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!

#4 - 2018-08-16 11:05 AM - Giovanni Manghi

- Resolution set to not reproducable

- Description updated

- Status changed from Feedback to Closed

Closing for lack of feedback.
